<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aquafy Starter
 */
	
get_header();
?>


	<!-- Breadcrumbs -->
	<?php if(get_theme_mod('aquafy_starter_blog_ac_breadcrumb', true)) : ?>
		<div class="breadcrumbs overlay">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<div class="bread-inner">
							<div class="bread-title">
								<?php
									the_archive_title( '<h1 class="page-title">', '</h1>' );
									the_archive_description( '<div class="archive-description">', '</div>' );
								?>
							</div>
							<div class="bread-menu"><?php if (function_exists('bcn_display')) bcn_display(); ?></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<!--/ End Breadcrumbs -->
	

	<div class="aquafy-internal-area news-area archive section-padding">
		<div class="container">
			<div class="row">
				<div class="col-lg-8 col-md-8 col-12">
					<div class="row" data-masonry='{"percentPosition": true }'>
						<?php if ( have_posts() ) : ?>

							<?php
								/* Start the Loop */
								while ( have_posts() ) :
									the_post();

									/*
									 * Include the Post-Type-specific template for the content.
									 * If you want to override this in a child theme, then include a file
									 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
									 */
									get_template_part( 'template-parts/content', 'archive' );

								endwhile;

							else :

								get_template_part( 'template-parts/content', 'none' );

							endif;
						?>
					</div>
					<div class="row">
						<div class="col-12">
							<!-- Start Pagination -->
							<div class="pagination-main">
								<?php if (function_exists("aquafy_starter_pagination"))
									{
										aquafy_starter_pagination();
									}  
								?>
							</div>
							<!--/ End Pagination -->
						</div>
					</div>	
				</div>
				<?php if(is_active_sidebar('aquafy-starter-blog-archive-sidebar')) : ?>
				<div class="col-lg-4 col-12">
					<aside class="sidebar-main"> 
						<?php dynamic_sidebar('aquafy-starter-blog-archive-sidebar'); ?>
					</aside>
				</div>
				<?php else :?>
				<?php get_sidebar();?>
				<?php endif;?>
			</div>
		</div>
	</div>
<?php
get_footer();