<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Aquafy Starter
 */
  $aquafy_footer_copyright_text = get_theme_mod('aquafy_footer_copyright_text');
?>
</main>
	<footer class="footer">
		
		<!-- Footer Top -->
		<div class="footer-top">
			<div class="container">
				<div class="row">
					<?php if(is_active_sidebar('aquafy-starter-footer-1')) : ?>
						<div class="col-lg-3 col-md-6 col-12">
							<?php dynamic_sidebar('aquafy-starter-footer-1'); ?>
						</div>
					<?php endif; ?>
					<?php if(is_active_sidebar('aquafy-starter-footer-2')) : ?>
						<div class="col-lg-3 col-md-6 col-12">
							<?php dynamic_sidebar('aquafy-starter-footer-2'); ?>
						</div>
					<?php endif; ?>
					<?php if(is_active_sidebar('aquafy-starter-footer-3')) : ?>
						<div class="col-lg-3 col-md-6 col-12">
							<?php dynamic_sidebar('aquafy-starter-footer-3'); ?>
						</div>
					<?php endif; ?>
					<?php if(is_active_sidebar('aquafy-starter-footer-4')) : ?>
						<div class="col-lg-3 col-md-6 col-12">
							<?php dynamic_sidebar('aquafy-starter-footer-4'); ?>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
		<!-- End Footer Top -->
		<!-- Copyright -->
		<div class="copyright">
			<div class="container">
				<div class="row d-flex align-items-center">
					<div class="col-12">
						<div class="copyright-content">
							<?php
								$aquafy_footer_copyright_text = get_theme_mod('aquafy_footer_copyright_text');
							?>
							<?php if(!empty($aquafy_footer_copyright_text)) : ?>
								<?php echo wp_kses_post($aquafy_footer_copyright_text); ?>
								<?php
								/* translators: 1: Theme name, 2: Theme author. */
								printf( esc_html__( 'Theme %2$s  By  %1$s', 'aquafy-starter' ), '<a href="#" >ordainIT</a>' , '<a href="#">Aquafy Starter</a>' );?>
							<?php else : ?>
								<?php esc_html_e('&copy; All Right Reserved ','aquafy-starter'); bloginfo('title');?> <?php echo  esc_html(date_i18n( __( 'Y' , 'aquafy-starter' ) ));?>
								<?php
								/* translators: 1: Theme name, 2: Theme author. */
								printf( esc_html__( 'Theme %2$s  By  %1$s', 'aquafy-starter' ), '<a href="#"  >ordainIT</a>' , '<a href="#">Aquafy Starter</a>' );?>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!--/ End Copyright -->
	</footer>
		
	<!--/ End footer -->

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>