<?php 
// Global Customize Option
$wp_customize->add_section( 'aquafy_starter_theme_global', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 1,
	'title'                 => __( 'Theme Global', 'aquafy-starter' ),
	'description'           => __( 'Theme Global Settings', 'aquafy-starter' ),
	'panel'                 => 'aquafy_starter_theme_settings'
) );

$wp_customize->add_setting( 'aquafy_starter_topbar_open',
  array(
    'default'           => false,
    'sanitize_callback'     => 'aquafy_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'aquafy_starter_topbar_open',
  array(
    'label'         => esc_html__( 'Enable topbar?', 'aquafy-starter' ),
    'section'       => 'aquafy_starter_theme_global',
    'type'          => 'checkbox',
  )
);


// Topbar Contact Address
$aquafy_starter_contact_arrays =  array('1'=>'fa-map-marker', '2'=>'fa-envelope-open-o', '3'=>'fa-fa-phone',);
foreach($aquafy_starter_contact_arrays as $aquafy_key => $aquafy_contact){

$wp_customize->add_setting( 'aquafy_starter_topbar_icon_'.$aquafy_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
	) );

$wp_customize->add_control( 'aquafy_starter_topbar_icon_'.$aquafy_key, array(
	/* translators: %s: Label */ 
    'label'                 =>   sprintf( __( 'Type contact icon %s', 'aquafy-starter' ), $aquafy_key ),
    /* translators: %s: Description */ 
    'description'           => sprintf( __( 'Use icon: Eg: %1$s. %2$s See more here %3$s', 'aquafy-starter' ), $aquafy_contact,'<a href="'.esc_url('https://fontawesome.com/v4/icons/').'">','</a>'),
    'section'               => 'aquafy_starter_theme_global',
    'type'                  => 'text',
    'settings' => 'aquafy_starter_topbar_icon_'.$aquafy_key,
) );	

$wp_customize->add_setting( 'aquafy_starter_topbar_contact_'.$aquafy_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
	) );

$wp_customize->add_control( 'aquafy_starter_topbar_contact_'.$aquafy_key, array(
	/* translators: %s: Description */ 
    'label'                 =>   sprintf( __( 'Type contact info %s', 'aquafy-starter' ), $aquafy_key ),
    'section'               => 'aquafy_starter_theme_global',
    'type'                  => 'text',
    'settings' => 'aquafy_starter_topbar_contact_'.$aquafy_key,
) );


$wp_customize->add_setting( 'aquafy_starter_topbar_contact_'.$aquafy_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
	) );

$wp_customize->add_control( 'aquafy_starter_topbar_contact_'.$aquafy_key, array(
	/* translators: %s: Description */ 
    'label'                 =>   sprintf( __( 'Type contact info %s', 'aquafy-starter' ), $aquafy_key ),
    'section'               => 'aquafy_starter_theme_global',
    'type'                  => 'text',
    'settings' => 'aquafy_starter_topbar_contact_'.$aquafy_key,
) );

}

// Default Post Expert
$wp_customize->add_setting( 'aquafy_starter_post_excerpt', array(
    'capability'            => 'edit_theme_options',
    'default'               => 22,
    'sanitize_callback'     => 'absint'
) );

$wp_customize->add_control( 'aquafy_starter_post_excerpt', array(
    'label'                 =>  __( 'Post Excerpt Limit', 'aquafy-starter' ),
	'description'            => __( 'Customize post excerpt limit, global limit is : 22', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_theme_global',
    'settings'              => 'aquafy_starter_post_excerpt',
    'type'                  => 'text',
) );

$wp_customize->add_setting( 'aquafy_starter_social_enable',
  array(
    'default'           => true,
    'sanitize_callback'     => 'aquafy_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'aquafy_starter_social_enable',
  array(
    'label'         => esc_html__( 'Enable Social Widget', 'aquafy-starter' ),
    'section'       => 'aquafy_starter_theme_global',
    'type'          => 'checkbox',
  )
);

/* Aquafy Social */
$aquafy_starter_social_arrays =  array('1'=>'fa-twitter', '2'=>'fa-facebook','3'=>'fa-linkedin','4'=>'fa-dribbble', );
foreach($aquafy_starter_social_arrays as $aquafy_starter_social_key => $aquafy_social){
	

$wp_customize->add_setting( 'aquafy_starter_social_icon_'.$aquafy_starter_social_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
	) );

$wp_customize->add_control( 'aquafy_starter_social_icon_'.$aquafy_starter_social_key, array(
	/* translators: %s: Label */ 
    'label'                 =>   sprintf( __( 'Type social icon %s', 'aquafy-starter' ), $aquafy_starter_social_key ),
    /* translators: %s: Description */ 
	'description'           => sprintf( __( 'Use icon: Eg: %1$s. %2$s See more here %3$s', 'aquafy-starter' ), $aquafy_social,'<a href="'.esc_url('https://fontawesome.com/v4/icons/').'" target="_blank">','</a>'),
    'section'               => 'aquafy_starter_theme_global',
    'type'                  => 'text',
    'settings' => 'aquafy_starter_social_icon_'.$aquafy_starter_social_key,
) );	

$wp_customize->add_setting( 'aquafy_starter_sidebar_social_link_'.$aquafy_starter_social_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'esc_url_raw'
	) );

$wp_customize->add_control( 'aquafy_starter_sidebar_social_link_'.$aquafy_starter_social_key, array(
	/* translators: %s: Description */ 
    'label'                 =>   sprintf( __( 'Social icon link %s', 'aquafy-starter' ), $aquafy_starter_social_key ),
    'section'               => 'aquafy_starter_theme_global',
    'type'                  => 'url',
    'settings' => 'aquafy_starter_sidebar_social_link_'.$aquafy_starter_social_key,
) );
}



//	Footer Settings
$wp_customize->add_setting( 'aquafy_footer_copyright_text', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_footer_copyright_text', array(
    'label'                 =>  __( 'Copyright text', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_theme_global',
    'type'                  => 'text',
    'settings'              => 'aquafy_footer_copyright_text',
) );

