<?php 
$wp_customize->add_section( 'aquafy_starter_about_section', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 3,
	'title'                 => __( 'Aquafy: About Us', 'aquafy-starter' ),
	'description'           => __( 'Add about image & Content', 'aquafy-starter' ),
	'panel'                 => 'aquafy_starter_front_option'
) );

$wp_customize->add_setting( 'aquafy_starter_about_enable',
  array(
    'default'           => '',
    'sanitize_callback'     => 'aquafy_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'aquafy_starter_about_enable',
  array(
    'label'         => esc_html__( 'Show About us section', 'aquafy-starter' ),
    'section'       => 'aquafy_starter_about_section',
    'type'          => 'checkbox',
    'priority'      => 1,
  )
);

// Add Image
$wp_customize->add_setting('aquafy_starter_about_image_one', array(
    'transport'         => 'refresh',
    'width'         => 400,
    'height'         => 432,
	'sanitize_callback'     => 'aquafy_starter_sanitize_image'
));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'aquafy_starter_about_image_one', array(
    'label'             => __('Upload about image one', 'aquafy-starter'),
    'section'           => 'aquafy_starter_about_section',
    'settings'          => 'aquafy_starter_about_image_one',
)));    


// Add Image
$wp_customize->add_setting('aquafy_starter_about_image_two', array(
    'transport'         => 'refresh',
    'width'         => 400,
    'height'         => 432,
	'sanitize_callback'     => 'aquafy_starter_sanitize_image'
));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'aquafy_starter_about_image_two', array(
    'label'             => __('Upload about image Two', 'aquafy-starter'),
    'section'           => 'aquafy_starter_about_section',
    'settings'          => 'aquafy_starter_about_image_two',
)));    










$wp_customize->add_setting( 'aquafy_starter_about_top_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_about_top_title', array(
    'label'                 =>  __( 'about section top badge', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_about_top_title',
) );

$wp_customize->add_setting( 'aquafy_starter_about_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_about_title', array(
    'label'                 =>  __( 'about section title', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_about_title',
) );

$wp_customize->add_setting( 'aquafy_starter_about_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_about_content', array(
    'label'                 =>  __( 'about section description', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_about_content',
) );

$wp_customize->add_setting( 'aquafy_starter_about_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'aquafy_starter_about_content', array(
    'label'                 =>  __( 'Type Section Description', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_about_content',
) );



$wp_customize->add_setting( 'aquafy_starter_features_one_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_features_one_title', array(
    'label'                 =>  __( 'Features Title 1 ', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_features_one_title',
) );

$wp_customize->add_setting( 'aquafy_starter_features_two_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_features_two_title', array(
    'label'                 =>  __( 'Features Title 2 ', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_features_two_title',
) );

$wp_customize->add_setting( 'aquafy_starter_features_three_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_features_three_title', array(
    'label'                 =>  __( 'Features Title 3 ', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_features_three_title',
) );

$wp_customize->add_setting( 'aquafy_starter_features_four_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_features_four_title', array(
    'label'                 =>  __( 'Features Title 4 ', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_features_four_title',
) );

$wp_customize->add_setting( 'aquafy_starter_features_five_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_features_five_title', array(
    'label'                 =>  __( 'Features Title 5 ', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_features_five_title',
) );

$wp_customize->add_setting( 'aquafy_starter_features_six_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_features_six_title', array(
    'label'                 =>  __( 'Features Title 6 ', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_features_six_title',
) );


//	About Button Text
$wp_customize->add_setting( 'aquafy_starter_about_button', array(
    'capability'            => 'edit_theme_options',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_about_button', array(
    'label'                 =>  __( 'Type about button text ', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_about_button',
) );

//	About Button Link
$wp_customize->add_setting( 'aquafy_starter_about_button_link', array(
    'capability'            => 'edit_theme_options',
    'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'aquafy_starter_about_button_link', array(
    'label'                 =>  __( 'Type about button link', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_about_section',
    'type'                  => 'url',
    'settings'              => 'aquafy_starter_about_button_link',
) );