<?php 
$wp_customize->add_section( 'aquafy_starter_feature_section', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 2,
	'title'                 => __( 'Aquafy: Our Feature', 'aquafy-starter' ),
	'description'           => __( 'Aquafy: Our Features section', 'aquafy-starter' ),
	'panel'                 => 'aquafy_starter_front_option'
) );

// Enable Achivement Section
$wp_customize->add_setting( 'aquafy_starter_feature_section',
  array(
    'default'           => '',
    'sanitize_callback'     => 'aquafy_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'aquafy_starter_feature_section',
  array(
    'label'         => esc_html__( 'Show Features Section', 'aquafy-starter' ),
    'section'       => 'aquafy_starter_feature_section',
    'type'          => 'checkbox',
    'priority'      => 1,
  )
);

// Counter Foreach
$aquafy_starter_counter_icon_arrays =  array(
	'1'=>'fa-tasks', '2'=>'fa-support', '3'=>'fa-handshake-o'
);
foreach($aquafy_starter_counter_icon_arrays as $aquafy_starter_key => $aquafy_starter_counter_icon){

$wp_customize->add_setting( 'aquafy_starter_icon_value_'.$aquafy_starter_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_icon_value_'.$aquafy_starter_key, array(
	/* translators: %s: Description */ 
    'label'                 =>   sprintf( __( 'How to use Icon', 'aquafy-starter' ), $aquafy_starter_key ),
    'section'               => 'aquafy_starter_feature_section',
    'type'                  => 'text', 
	'description'           => sprintf( __( 'For feature icon,  You can use font awesome icon: Eg: %1$s. %2$s See more here %3$s', 'aquafy-starter' ), $aquafy_starter_counter_icon,'<a href="'.esc_url('https://fontawesome.com/v4/icons/#new').'">','</a>'),
    'settings' => 'aquafy_starter_icon_value_'.$aquafy_starter_key,
) );


$wp_customize->add_setting( 'aquafy_starter_feature_icon_'.$aquafy_starter_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_feature_icon_'.$aquafy_starter_key, array(
	/* translators: %s: Description */ 
    'label'                 =>   sprintf( __( 'Type Feature Icon %s', 'aquafy-starter' ), $aquafy_starter_key ),
    'section'               => 'aquafy_starter_feature_section',
    'type'                  => 'text',
    'settings' => 'aquafy_starter_feature_icon_'.$aquafy_starter_key,
) );

$wp_customize->add_setting( 'aquafy_starter_feature_title_'.$aquafy_starter_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_feature_title_'.$aquafy_starter_key, array(
	/* translators: %s: Description */ 
    'label'                 =>   sprintf( __( 'Feature Title', 'aquafy-starter' ), $aquafy_starter_key ),
    'section'               => 'aquafy_starter_feature_section',
    'type'                  => 'text',
    'settings' => 'aquafy_starter_feature_title_'.$aquafy_starter_key,
) );

$wp_customize->add_setting( 'aquafy_starter_feature_text_'.$aquafy_starter_key, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_feature_text_'.$aquafy_starter_key, array(
	/* translators: %s: Description */ 
    'label'                 =>   sprintf( __( 'Feature Text', 'aquafy-starter' ), $aquafy_starter_key ),
    'section'               => 'aquafy_starter_feature_section',
    'type'                  => 'text',
    'settings' => 'aquafy_starter_feature_text_'.$aquafy_starter_key,
) );

}

