<?php 
$wp_customize->add_section( 'aquafy_starter_hero_slider_section', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 1,
	'title'                 => __( 'Aquafy: Hero Slider', 'aquafy-starter' ),
	'description'           => __( 'Hero slider section', 'aquafy-starter' ),
	'panel'                 => 'aquafy_starter_front_option'
) );

$wp_customize->add_setting( 'aquafy_starter_main_area',
  array(
    'default'           => '',
    'sanitize_callback'     => 'aquafy_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'aquafy_starter_main_area',
  array(
    'label'         => esc_html__( 'Show Hero Slider', 'aquafy-starter' ),
    'section'       => 'aquafy_starter_hero_slider_section',
    'type'          => 'checkbox',
    'priority'      => 1,
  )
);

for ($i=1;$i<=3;$i++) {
	$wp_customize->add_setting( 'aquafy_starter_slider_page_'.$i, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'aquafy_starter_sanitize_dropdown_pages'
	) );


	$wp_customize->add_control( 'aquafy_starter_slider_page_'.$i, array(
		/* translators: %s: Description */ 
	    'label'                 =>  sprintf( __( 'Select page for slider %s', 'aquafy-starter' ), $i ),
	    'section'               => 'aquafy_starter_hero_slider_section',
	    'type'                  => 'dropdown-pages',
	    'settings'              => 'aquafy_starter_slider_page_'.$i,
	) );
	
	$wp_customize->add_setting( 'aquafy_starter_slider_main_title_'.$i, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
	) );

	$wp_customize->add_control( 'aquafy_starter_slider_main_title_'.$i, array(
		/* translators: %s: Description */ 
	    'label'                 =>  sprintf( __( 'Slider main heading %s', 'aquafy-starter' ), $i ),
	    'section'               => 'aquafy_starter_hero_slider_section',
	    'type'                  => 'text',
	    'description'           => sprintf( esc_html__( 'Type slider title.', 'aquafy-starter' )),
	    'settings' => 'aquafy_starter_slider_main_title_'.$i,
	) );
	
	$wp_customize->add_setting( 'aquafy_starter_slider_button_title_'.$i, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'sanitize_text_field'
	) );

	$wp_customize->add_control( 'aquafy_starter_slider_button_title_'.$i, array(
		/* translators: %s: Description */ 
	    'label'                 =>  sprintf( __( 'Slider button text %s', 'aquafy-starter' ), $i ),
	    'section'               => 'aquafy_starter_hero_slider_section',
	    'type'                  => 'text',
	    'settings' => 'aquafy_starter_slider_button_title_'.$i,
	) );
	
	$wp_customize->add_setting( 'aquafy_starter_slider_button_url_'.$i, array(
	    'capability'            => 'edit_theme_options',
	    'default'               => '',
	    'sanitize_callback'     => 'esc_url_raw'
	) );
 
	$wp_customize->add_control( 'aquafy_starter_slider_button_url_'.$i, array(
		/* translators: %s: Description */ 
	    'label'                 =>  sprintf( __( 'Slider Button URL  %s', 'aquafy-starter' ), $i ),
	    'section'               => 'aquafy_starter_hero_slider_section',
	    'type'                  => 'url',
	    'settings' => 'aquafy_starter_slider_button_url_'.$i,
	) );
	
	
	
	
}