<?php 
$wp_customize->add_section( 'aquafy_starter_services_section', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 4,
	'title'                 => __( 'Aquafy: Our Services', 'aquafy-starter' ),
	'description'           => __( 'Services section', 'aquafy-starter' ),
	'panel'                 => 'aquafy_starter_front_option'
) );

$wp_customize->add_setting( 'aquafy_starter_service_enable',
  array(
    'default'           => '',
    'sanitize_callback'     => 'aquafy_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'aquafy_starter_service_enable',
  array(
    'label'         => esc_html__( 'Show Services Section', 'aquafy-starter' ),
    'section'       => 'aquafy_starter_services_section',
    'type'          => 'checkbox',
    'priority'      => 1,
  )
);

$wp_customize->add_setting( 'aquafy_starter_service_top_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_service_top_title', array(
    'label'                 =>  __( 'Service section top badge', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_services_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_service_top_title',
) );

$wp_customize->add_setting( 'aquafy_starter_service_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_service_title', array(
    'label'                 =>  __( 'Service section title', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_services_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_service_title',
) );

$wp_customize->add_setting( 'aquafy_starter_service_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'aquafy_starter_service_content', array(
    'label'                 =>  __( 'Service section description', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_services_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_service_content',
) );

$wp_customize->add_setting( 'aquafy_starter_service_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'aquafy_starter_service_content', array(
    'label'                 =>  __( 'Type Section Description', 'aquafy-starter' ),
    'section'               => 'aquafy_starter_services_section',
    'type'                  => 'text',
    'settings'              => 'aquafy_starter_service_content',
) );



// Services Customizer
$aquafy_starter_service_array = array(
	'1'=>'',
	'2'=>'',
	'3'=>'',
);
foreach ($aquafy_starter_service_array as $aquafy_starter_key => $aquafy_starter_service) {

$wp_customize->add_setting( 'aquafy_starter_service_page_'.$aquafy_starter_key, array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'aquafy_starter_sanitize_dropdown_pages'
) );

$wp_customize->add_control( 'aquafy_starter_service_page_'.$aquafy_starter_key, array(
   	 /* translators: %s: Label */ 
    'label'                 => sprintf( __( 'Select page  %1$s', 'aquafy-starter' ), $aquafy_starter_key),
    'section'               => 'aquafy_starter_services_section',
    'type'                  => 'dropdown-pages',
    'settings'              => 'aquafy_starter_service_page_'.$aquafy_starter_key,
) );

$wp_customize->add_setting( 'aquafy_starter_service_icon_'.$aquafy_starter_key, array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );
}