<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aquafy Starter
 */

get_header(); while ( have_posts() ) : the_post();

?>
	
	<!-- Breadcrumbs -->
	<?php if(get_theme_mod('aquafy_starter_page_breadcrumb', true) && ! is_front_page() ) : ?>
		<div class="breadcrumbs overlay">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<div class="bread-inner">
							<div class="bread-title">
								<h2><?php the_title() ?></h2>
							</div>
							<div class="bread-menu"><?php if (function_exists('bcn_display')) bcn_display(); ?></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<!--/ End Breadcrumbs -->
	
	<div class="aquafy-internal-area <?php echo esc_attr($vc_check_class); ?>">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<?php
						get_template_part( 'template-parts/content', 'page' );
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() || ! (is_front_page()) ) :
							comments_template();
						endif;

					?>
				</div>
			</div>
		</div>
	</div>
<?php endwhile; 
get_footer();
