<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Aquafy Starter
 */
  $cats = get_the_category($id);
?>
	<!-- Single News -->
	<div class="blog-single-main">
		<div class="main-image">
			<?php if(has_post_thumbnail() ): ?>
				<?php the_post_thumbnail('aquafy-starter-blog-single-thumb'); ?>
			<?php endif;?>
		</div>
		<div class="blog-detail">
			<!-- News Meta -->
			<ul class="news-meta">
				<li><div class="cat-button"><i class="fa fa-pencil"></i><a href="<?php echo get_category_link($cats[0]->cat_ID); ?>"> <?php echo $cats[0]->name; ?></a></div></li>
				<li><div class="date-button"><i class="fa fa-calendar"></i><?php aquafy_starter_posted_on(); ?></div></li>
			</ul>
			<h2 class="blog-title"><?php the_title(); ?></h2>
			<?php the_content(); ?>
		</div>
			
		<?php wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'aquafy-starter' ),
			'after'  => '</div>',
		) );
		?>
		<div class="blog-post-tag">
			<div class="row">
				<div class="col-12">
					<div class="share-tag post-tag">
						<h3><?php echo esc_html_e('Post Tags', 'aquafy-starter');?></h3>
						<?php 
						$post_tags = get_the_tags();
						if ( ! empty( $post_tags ) ) {
							echo '<ul class="post-tag-list">';
							foreach( $post_tags as $post_tag ) {
								echo '<li><a href="' . get_tag_link( $post_tag ) . '">' . $post_tag->name . '</a></li>';
							}
							echo '</ul>';
						}   
						?>

					</div>
				</div>
			</div>
		</div>
	</div>